$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://www.burnaware.com/downloads/burnaware_premium_14.7.exe"
$url64      = "https://www.burnaware.com/downloads/burnaware_premium_14.7_x64.exe"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  unzipLocation  = $toolsDir
  fileType       = 'EXE' 
  url            = $url
  url64bit       = $url64

  softwareName   = 'BurnAware Premium*'

  checksum       = '517E514E134D8760DF7F6D430B6DC8218EACE479284F5AA24E8C5C3EDEE4926F'
  checksumType   = 'sha256'
  checksum64     = '0B8D6D9D8E0A1A3697305753986EC2C5A64D6124ADCF1B87DFC600B11C0772C7'
  checksumType64 = 'sha256'

  silentArgs     = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  validExitCodes = @(0)

}

Install-ChocolateyPackage @packageArgs
